lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "RCP_Network/version"

Gem::Specification.new do |spec|
  spec.name          = "RCP_Network"
  spec.version       = RCPNetwork::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["gitea@fake.local"]

  spec.summary       = %q{Current Demo RCP Network Subroutine is predicting whether dangling modifiers will be generated or chosen at random.}
  spec.description   = %q{RCP Network stands for a neural network that uses decision tree for prediction, struct_rand for generating new data, and readlines and espeak for orating dangling modifiers at random for intentional unintentional humor. This model will be expanded to other reasoning models, like generating small amounts of dictionary data from Duck Duck Go. You can write this Saasagi subroutine automatically through .prewrite. Instructions coming soon.
  
Igrigork: https://github.com/igrigorik/decisiontree
Dejan: https://github.com/dejan/espeak-ruby}
  
  spec.homepage      = "https://github.com/LWFlouisa/RCP_Network-Example-Script/"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  
  spec.add_runtime_dependency "espeak-ruby", "1.0.4"
  spec.add_runtime_dependency "decisiontree", "0.5.0"
end
